#ifndef TLC5955_H_
#define TLC5955_H_
//*****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//
//*****************************************************************************
#ifdef __cplusplus
extern "C"
{
#endif

extern void SendGSData(int *GSdata1,int *GSdata2,int *GSdata3,int *GSdata4);
extern void SendControlData(
        char LSDVLT1,char ESPWM1,char RFRESH1,char TMGRST1, char DSPRPT1, char *BC_data1,char *MC_data1,char *DC_data1,
        char LSDVLT2,char ESPWM2,char RFRESH2,char TMGRST2, char DSPRPT2, char *BC_data2,char *MC_data2,char *DC_data2,
        char LSDVLT3,char ESPWM3,char RFRESH3,char TMGRST3, char DSPRPT3, char *BC_data3,char *MC_data3,char *DC_data3,
        char LSDVLT4,char ESPWM4,char RFRESH4,char TMGRST4, char DSPRPT4, char *BC_data4,char *MC_data4,char *DC_data4);



//*****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//*****************************************************************************
#ifdef __cplusplus
}
#endif

//*****************************************************************************
//
// Close the Doxygen group.
//! @}
//
//*****************************************************************************
#endif /* ADC14_H_ */
